# $Revision: 1.4 $, $Date: 2002/04/30 08:59:45 $
Summary:	A text terminal music player
Summary(pl):	Terminalowy odtwarzacz muzyczny
Name:		mcplay
Version:	0.3i
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://www.yahuxo.de/mcplay/%{name}-%{version}.tar.gz
Patch0:		%{name}-config.patch
URL:		http://www.yahuxo.de/mcplay/
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
Requires:	mpg123
Requires:	playmidi
Requires:	sox
Requires:	vorbis-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A text terminal mp3 player. It can play mp3, ogg, wav, mid and other
types of music files.

%description -l pl
Terminalowy odtwarzacz mp3. Moe odtwarza pliki muzyczne mp3, ogg,
wav, mid i inne.

%prep
%setup -q
%patch -p1

%build
%{__make} MY_CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install mcplay $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mcplay.spec,v $
Revision 1.4  2002/04/30 08:59:45  kloczek
- cosmetics.

Revision 1.3  2002/04/30 08:41:50  qboosh
- typos, cosmetics

Revision 1.2  2002/04/30 06:46:42  filon
- added URL and address for source

Revision 1.1  2002/04/29 19:47:10  filon
- console music player, initial working release
- STBR
